# Selection

## Methods

#### # (inner) children() → {jLight}

Gets a jLight collection from the collections children elements.

Source:
  - index.js, line 2782
Tutorials:
  - children

Returns:
jLight collection

Type
  jLight

#### # (inner) closest(?selector) → {jLight}

Gets a jLight collection from all the collections parent elements matching the selector.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`selector` | string | <optional> | The selector to use for matching elements

Source:
  - index.js, line 2837
Tutorials:
  - closest

Returns:
jLight collection

Type
  jLight

#### # (inner) eq(index) → {jLight}

Gets the jLight element at the supplied index from the collection.
Parameters:

Name | Type | Description
--- | --- | ---
`index` | number | The index to supply to the function

Source:
  - index.js, line 2737
Tutorials:
  - eq

Returns:
jLight collection

Type
  jLight

#### # (inner) first() → {jLight}

Gets the first jLight element from the collection.

Source:
  - index.js, line 2746
Tutorials:
  - first

Returns:
jLight collection

Type
  jLight

#### # (inner) get(index) → {HTMLElement|undefined}

Gets the element at the supplied index from the collection.
Parameters:

Name | Type | Description
--- | --- | ---
`index` | number | The index to supply to the function

Source:
  - index.js, line 2727
Tutorials:
  - get

Returns:
The element or null

Type
  HTMLElement | undefined

#### # (inner) has($elements) → {jLight}

Gets a jLight collection from the collections elements which contain elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2887
Tutorials:
  - has

Returns:
jLight collection

Type
  jLight

#### # (inner) last() → {jLight}

Gets the last jLight element from the collection.

Source:
  - index.js, line 2755
Tutorials:
  - last

Returns:
jLight collection

Type
  jLight

#### # (inner) next(?selector) → {jLight}

Gets a jLight collection from the collections next sibling elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`selector` | string | <optional> | The selector to use for matching elements

Source:
  - index.js, line 2827
Tutorials:
  - next

Returns:
jLight collection

Type
  jLight

#### # (inner) not($elements) → {jLight}

Gets a jLight collection from the collections elements which are not part of elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2860
Tutorials:
  - not

Returns:
jLight collection

Type
  jLight

#### # (inner) parent() → {jLight}

Gets a jLight collection from the collections parent elements.

Source:
  - index.js, line 2764
Tutorials:
  - parent

Returns:
jLight collection

Type
  jLight

#### # (inner) parents() → {jLight}

Gets a jLight collection from all the collections parent elements.

Source:
  - index.js, line 2773
Tutorials:
  - parents

Returns:
jLight collection

Type
  jLight

#### # (inner) prev(?selector) → {jLight}

Gets a jLight collection from the collections previous sibling elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`selector` | string | <optional> | The selector to use for matching elements

Source:
  - index.js, line 2817
Tutorials:
  - prev

Returns:
jLight collection

Type
  jLight

#### # (inner) siblings() → {jLight}

Gets a jLight collection from the collections sibling elements.

Source:
  - index.js, line 2793
Tutorials:
  - siblings

Returns:
jLight collection

Type
  jLight